#ifndef PLATFORM_H
#define PLATFORM_H


#include "stdint.h"


#ifdef BACKEND_GRX
#include "grx.h"
#endif

#ifdef BACKEND_SDL2
#include "sdl2.h"
#endif

#ifdef BACKEND_DJGPP
#include "djgpp.h"
#endif


void platformShutdown(void);
void platformStartup(int16_t width, int16_t height, int16_t depth);

void videoModesShow(void);


#endif // PLATFORM_H
